<?php $__env->startSection('title', 'تعديل البنك'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-12">
            <div class="page-title-box">
                <h4 class="page-title">تعديل البنك</h4>
            </div>
        </div>
    </div>
    <div class="row">
        <div class="col-12">
            <div class="card-box">

                <h4 class="header-title mb-4">تعديل البيانات</h4>

                <div class="row">
                    <div class="col-xl-12">
                        <form method="post" action="<?php echo e(route('additional_types.update',$row->id)); ?>" enctype="multipart/form-data">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('PATCH'); ?>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم باللغة العربية</label>
                                <input type="text" class="form-control" value="<?php echo e($row->name['ar']); ?>" required
                                       name="name_ar"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة العربية">
                                <?php if($errors->has('name_ar')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_ar')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleInputEmail1">إسم باللغة الإنجليزية</label>
                                <input type="text" class="form-control" value="<?php echo e($row->name['en']); ?>" required
                                       name="name_en"
                                       id="exampleInputEmail1"
                                       placeholder="الإسم باللغة الإنجليزية">
                                <?php if($errors->has('name_en')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('name_en')); ?></small>
                                <?php endif; ?>
                            </div>

                            <div class="form-group">
                                <label for="exampleSelect1">الحراجات</label>
                                <select name="category_id" class="form-control" id="category_parent">
                                    <option></option>
                                    <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <option value="<?php echo e($category->id); ?>"><?php echo e($category->name['ar']); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                                <?php if($errors->has('category_id')): ?>
                                    <small class="text-danger"><?php echo e($errors->first('category_id')); ?></small>
                                <?php endif; ?>
                            </div>
                            <div class="form-group" style="display: none" id="sub_category">
                                <label for="exampleSelect1">الاقسام</label>
                                <select name="sub_category" id="sub_children" class="form-control">
                                </select>
                            </div>
                            <div class="form-group" style="display: none" id="div_children_sub_category">
                                <label for="exampleSelect1">الاقسام الفرعية</label>
                                <select name="sub_sub_category" id="children_category" class="form-control">
                                </select>
                            </div>

                            <div class="form-group">
                                <label for="exampleSelect1">الحالة</label>
                                <select name="status" class="form-control" id="exampleSelect1">
                                    <option value="active" <?php if($row->status == 'active'): ?> selected <?php endif; ?>>مفعل</option>
                                    <option value="not_active" <?php if($row->status == 'not_active'): ?> selected <?php endif; ?>>غير
                                        مفعل
                                    </option>
                                </select>
                            </div>
                            <?php if($errors->has('status')): ?>
                                <small class="text-danger"><?php echo e($errors->first('status')); ?></small>
                            <?php endif; ?>
                            <div class="row">
                                <div class="col-sm-12">
                                    <div class="card-box">

                                        <h4 class="header-title mb-4">صورة</h4>

                                        <input type="file" name="image"  class="dropify"
                                               data-default-file="<?php echo e($row->image); ?>" data-height="300"/>
                                    </div>
                                </div><!-- end col -->
                            </div>
                            <?php if($errors->has('image')): ?>
                                <small class="text-danger"><?php echo e($errors->first('image')); ?></small>
                            <?php endif; ?>
                            <button type="submit" class="btn btn-primary">تعديل</button>
                        </form>
                    </div><!-- end col -->


                </div><!-- end row -->
            </div>
        </div><!-- end col -->
    </div>



<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.master', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/alkhalaffamily/public_html/knooz/resources/views/admin/additional_types/edit.blade.php ENDPATH**/ ?>